#!/usr/bin/gnuplot -persist
#######################################################################
### GNU Script for plotting:
#######################################################################
set term postscript eps enhanced color 'Times,20' size 7.00, 5.00
set output 'F02.eps'
set multiplot 
reset
set border lw 3
set size 0.50, 0.95
set origin 0.01, 0.01
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 2
set mytics 2
set xrange [-250:550]
set xtics -200, 100,500
set xlabel 'SHF (W m^{-2})' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "black" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "gray" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set label center front '(a) 5-Dec-2017: 1400 LT (LES_{30})' at 150, 3400  font 'Times,22'
unset key
unset grid
set key at 500,3100 spacing 1.25 font 'Times,18'
plot  "<(sed -n '401,456p' LES030-05Dec2017-001-PR-Z.dat)"  u 22:3 w lp ls 1 t "SHF_{TOT}", \
      "<(sed -n '401,456p' LES030-05Dec2017-001-PR-Z.dat)"  u 20:3 w lp ls 2 t "SHF_{SGS}", \
      "<(sed -n '401,456p' LES030-05Dec2017-001-PR-Z.dat)"  u 21:3 w lp ls 3 t "SHF_{RES}"
#######################################################################
reset
set border lw 3
set size 0.50, 0.95
set origin 0.51, 0.01
set xtics scale 1.5
set ytics scale 1.5
set grid xtics ytics 
set mxtics 2
set mytics 2
set xrange [-250:550]
set xtics -200, 100,500
set xlabel 'SHF (W m^{-2})' font "Times,24" offset 0.0, 0.4
set yrange [-250:3250] 
set ytics 0,500,3000
set ylabel 'Altitude (m)' font "Times,24" offset 1.3
set style line 1 lt 4 lw 3 pt 7 ps 0.0 lc rgb "black" 
set style line 2 lt 4 lw 3 pt 5 ps 0.0 lc rgb "gray" 
set style line 3 lt 4 lw 3 pt 2 ps 0.0 lc rgb "blue" 
set label center front '(b) 5-Dec-2017: 1400 LT (LES_{100})' at 150, 3400  font 'Times,22'
unset key
unset grid
set key at 500,3100 spacing 1.25 font 'Times,18'
plot  "<(sed -n '401,456p' LES100-05Dec2017-001-PR-Z.dat)"  u 22:3 w lp ls 1 t "SHF_{TOT}", \
      "<(sed -n '401,456p' LES100-05Dec2017-001-PR-Z.dat)"  u 20:3 w lp ls 2 t "SHF_{SGS}", \
      "<(sed -n '401,456p' LES100-05Dec2017-001-PR-Z.dat)"  u 21:3 w lp ls 3 t "SHF_{RES}"
#######################################################################
unset multiplot
