#######################################################################
#!/usr/bin/gnuplot -persist
# Last Modified : DBS (February 16, 2022)
#######################################################################
set term postscript eps enhanced color 'Times,24' size 6.5, 9.0
set output 'F14.eps'
set multiplot
reset
set border lw 3
set size 0.95, 0.33
set origin 0.025, 0.67
set xrange [-0.25:24.25]
set xlabel 'Local Time (LT)' font 'Times,26' 
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set yrange [0:3250]
set ytics 0,500,3000
set ylabel 'Altitude (m)' font 'Times,26'
set cbrange[25:43]
set pm3d map interpolate 10, 10 
set palette rgbformulae 33,13,10
set style line 1 lt 1 lw 5 pt 2 ps 0 lc rgb "black"
set label front center '(a) ABL Evolution on 1-Dec-2017 obtained from the RANS' at 12.0, 3500  font 'Times,24'
set label front center '{/Symbol q}_v ({/Symbol \260}C)' at 26.3, 3500  font 'Times,24'
splot "RANS-01Dec2017-Profiles.dat" u 'TIME':'Z':'THETAV' t "", \
      "RANS-ABL-1Dec2017.dat" u 'TimeUTC':'zABL':(0) w lp ls 1 t ""
#######################################################################
reset
set border lw 3
set size 0.95, 0.33
set origin 0.025, 0.34
set xrange [-0.25:24.25]
set xlabel 'Local Time (LT)' font 'Times,26' 
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set yrange [0:3250]
set ytics 0,500,3000
set ylabel 'Altitude (m)' font 'Times,26'
set cbrange[25:43]
set pm3d map interpolate 10, 10 
set palette rgbformulae 33,13,10
set style line 1 lt 1 lw 5 pt 2 ps 0 lc rgb "black"
set label front center '(b) ABL Evolution on 1-Dec-2017 obtained from the LES_{30}' at 12.0, 3500  font 'Times,24'
set label front center '{/Symbol q}_v ({/Symbol \260}C)' at 26.3, 3500  font 'Times,24'
splot "LES030-01Dec2017-001-3D1.dat" u 2:3:($12-273.15) t "", \
      "LES030-ABL-1Dec2017.dat" u 'TimeUTC':'zABL':(0) w lp ls 1 t ""
#######################################################################
reset
set border lw 3
set size 0.95, 0.33
set origin 0.025, 0.01
set xrange [-0.25:24.25]
set xlabel 'Local Time (LT)' font 'Times,26' 
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set yrange [0:3250]
set ytics 0,500,3000
set ylabel 'Altitude (m)' font 'Times,26'
set cbrange[25:43]
set pm3d map interpolate 10, 10 
set palette rgbformulae 33,13,10
set style line 1 lt 1 lw 5 pt 2 ps 0 lc rgb "black"
set label front center '(c) ABL Evolution on 1-Dec-2017 obtained from the LES_{100}' at 12.0, 3500  font 'Times,24'
set label front center '{/Symbol q}_v ({/Symbol \260}C)' at 26.3, 3500  font 'Times,24'
splot "LES100-01Dec2017-001-3D1.dat" u 2:3:($12-273.15) t "", \
      "LES100-ABL-1Dec2017.dat" u 'TimeUTC':'zABL':(0) w lp ls 1 t ""
#######################################################################
unset multiplot
