#######################################################################
#!/usr/bin/gnuplot -persist
# Last Modified : DBS (February 16, 2022)
#######################################################################
set term postscript eps enhanced color 'Times,24' size 6.5, 6.0
set output 'F16.eps'
set multiplot
reset
set border lw 4
set size 0.95, 0.45
set origin 0.025, 0.525
set xrange [-1.5:25.5]
set xlabel 'Local Time (LT)' font 'Times,26' 
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set yrange [-250:3250]
set ytics 0,500,3000
set ylabel 'z_{ABL} (m)' font 'Times,26'
set style line 1 lt 1 lw 4 pt 7  ps 1.5 lc rgb "black"
set style line 2 lt 1 lw 4 pt 9  ps 1.5 lc rgb "blue"
set style line 3 lt 1 lw 4 pt 11 ps 1.5 lc rgb "red"
set label front center '(a) ABL Evolution on 5-Dec-2017 (A Representative Clear-Sky Day)' at 12.0, 3500  font 'Times,24'
set key at 24,3000 spacing 1.25 font 'Times,20'
plot "RANS-ABL-5Dec2017.dat"   u 'TimeUTC':'zABL' w lp ls 1 t "RANS", \
     "LES030-ABL-5Dec2017.dat" u 'TimeUTC':'zABL' w lp ls 2 t "LES_{30}", \
     "LES100-ABL-5Dec2017.dat" u 'TimeUTC':'zABL' w lp ls 3 t "LES_{100}"
#######################################################################
reset
set border lw 4
set size 0.95, 0.45
set origin 0.025, 0.025
set xrange [-1.5:25.5]
set xlabel 'Local Time (LT)' font 'Times,26' 
set xtics ("5.5" 0, "8.5" 3, "11.5" 6, "14.5" 9, "17.5" 12, "20.5" 15, "23.5" 18, "2.5" 21, "5.5" 24)
set yrange [-250:3250]
set ytics 0,500,3000
set ylabel 'z_{ABL} (m)' font 'Times,26'
set style line 1 lt 1 lw 4 pt 7  ps 1.5 lc rgb "black"
set style line 2 lt 1 lw 4 pt 9  ps 1.5 lc rgb "blue"
set style line 3 lt 1 lw 4 pt 11 ps 1.5 lc rgb "red"
set label front center '(b) ABL Evolution on 1-Dec-2017 (A Representative Cloudy Day)' at 12.0, 3500  font 'Times,24'
set key at 24,3000 spacing 1.25 font 'Times,20'
plot "RANS-ABL-1Dec2017.dat"   u 'TimeUTC':'zABL' w lp ls 1 t "RANS", \
     "LES030-ABL-1Dec2017.dat" u 'TimeUTC':'zABL' w lp ls 2 t "LES_{30}", \
     "LES100-ABL-1Dec2017.dat" u 'TimeUTC':'zABL' w lp ls 3 t "LES_{100}"
#######################################################################
unset multiplot
